Description

Hi, i'm wondering if it's possible to add a type of checkbox to activate and deactivate all plugins.

In this way we avoid check/uncheck one by one because sometimes we have a lot of plugins.

| customize a print screen in GIMP to show you a draft image.

Regards,
Jodo

History

#1 - 2014-09-09 03:16 AM - Matthias Kuhn
- Status changed from Open to Feedback

What is the use-case?

There is also the option --noplugins.

#2 - 2014-09-10 01:25 PM - Jodo Gaspar

Hi Mathias, sorry for my delay in the answer.

| think the purpose of --noplugins don't load the plugins and you need to close and open session (I think...). In this case, is a possibility of

activate/deactivate all of plugins in the current session.

Another thing, can you confirm this behavior:

When we do qgis --no plugins (in my case QGIS Chugiak 2.5 Linux Mint), the qgis don't load the plugins but in the plugin manager they appear with
checked and/unchecked like the previous session of a normal start with plugins. This is suppose to be like that? The idea of --noplugins is not load the
plugins and not appear in the plugin manager?

Best Regards,

Jodo

#3 - 2014-09-10 02:28 PM - Borys Jurgiel

Do you mean activate and deactivate all plugins INITIALLY ACTIVE | hope? :) | don't see any use in enabling all INSTALLED plugins.

Well, I'd rather label it just "Deactivate all plugins”, and when checked, all the checked plugins become "half-checked" and the plugin list is grayed out. This
way we indicate it's just temporary change and it doesn't change the configuration. Well, I'm still not convinced to that idea. Neither enabling too many
plugins nor disabling them all looks convenient to me. If you need many plugins for various jobs, I'd rather create multiple QGIS configurations with
different sets of activated plugins and run QGIS with --optionpath parameter (simplified to bash aliases or desktop icons). This way you only have a few or

a dozen plugins necessary for given job type.

Another solution is to make a very simple plugin that does exactly what you want. | try to keep the Plugin Manager simple and clean, so I'd avoid adding
such checkboxes unless majority of the community find it useful. But if they do, we can add it :)

About --noplugins and checked checkboxes: yes, it's intentional. The purpose is to be able to deactivate a broken plugin which crashes QGIS (so there is

no other clicked way to disable it).

#4 - 2014-09-11 01:33 PM - Jodo Gaspar

Hi Borys,

thank you for your feedback.

And i understand perfectly your point of view.

I'm giving first steps in Python and PyQGIS :)

What can i do about this ticket? Is to close? How i proceed?

Best Regards

Jodo

#5 - 2014-09-12 02:40 AM - Borys Jurgiel

If you agree with me, yes please, you can close it. | assume, you're able (as the ticket author) to change the Status to Closed. Otherwise | can do it.

#6 - 2014-09-12 02:54 AM - Jodo Gaspar

Please close it for me. | don't see any button to change the status in my update box.

Perhaps i don't have permission to do it.

Thank you.

#7 - 2014-09-12 03:03 AM - Borys Jurgiel
- Status changed from Feedback to Closed

Done. It's why | wasn't sure, though people should be able to close tickets they opened :)
